Anonymous Login
2019-04-24 15:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001166v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001166: Gantt milestone status based on incorrect date format
Descriptionweb2project/trunk/modules/tasks/gantt.php line 377 assigns colour to the displayed milestone based on comparison of task milestone date against current date ($today_date_stamp). Problem is that $today_date_stamp has a fixed format of m/d/y (line 354) that conflicts with user locale date which may be d/m/y. This can give a result where milestone appears overdue when it is still in the future or alternately showing as planned when it is actually overdue.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002615

caseydk (administrator)

Resolved: https://github.com/caseysoftware/web2project/pull/122

Also cleaned up some formatting issues on the gantt chart itself just to make them more legible
+Notes

-Issue History
Date Modified Username Field Change
2012-07-26 21:42 sasquatch58 New Issue
2012-07-29 10:13 caseydk Severity major => tweak
2012-08-02 19:32 caseydk Note Added: 0002615
2012-08-02 19:32 caseydk Status new => resolved
2012-08-02 19:32 caseydk Resolution open => fixed
2012-08-02 19:32 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History